Re: failed to build nikal error on RHEL7.5 (3.10.0-862.3.2.el7.x86_64)

The issue here is incompatibilities between the RHEL kernel (3.10) that NI claims they support, and the NIKAL driver NI wrote.  More specifically, it is obvious that no NI employee has formally tested the NIKAL module with RHEL7.5 because genl_register_family_with_ops() is deprecated in this version of redhat so the script nikal.c would never compile.  

Yes. At least an fully automatic build test via CI against recent kernels and distros is a must for any serious sw development. This really isn't hard to do - any decent operator can do that.

 

NI should either a) stop claiming support for RHEL, or b) fix the bugs.  I am a scientist, and for me to be fixing your software engineers' bugs is ridiculous (I won't ask them to do my plasma physics for me).

ACK. It really seems NI's users are far better sw engineers, than NI folks themselves.

Why does anybody buy that stuff ?

Linux Embedded / Kernel Hacker / BSP / Driver development / Systems engineering
0 Kudos
(580 Views)